PRAGMA foreign_keys = ON;
BEGIN TRANSACTION;

CREATE TABLE IF NOT EXISTS DeclarationLog (
    Id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    PersonId INTEGER NOT NULL,
    Timestamp TEXT NOT NULL,
    IP TEXT NOT NULL,
    Signed TEXT NOT NULL,
    TextOfDeclaration TEXT NOT NULL,
    FOREIGN KEY (PersonId) REFERENCES Person(Id)
);

-- Create indices for frequently queried fields
CREATE INDEX IF NOT EXISTS idx_declarationlog_personid ON DeclarationLog(PersonId);
CREATE INDEX IF NOT EXISTS idx_declarationlog_timestamp ON DeclarationLog(Timestamp);

COMMIT;
