PRAGMA foreign_keys = ON;
BEGIN TRANSACTION;

CREATE TABLE IF NOT EXISTS History (
    Id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    EditTime TEXT NOT NULL,
    EditUser TEXT NOT NULL,
    EditTable TEXT NOT NULL,
    EditRowid INTEGER NOT NULL,
    EditColumn TEXT NOT NULL,
    OldValue TEXT,
    NewValue TEXT
);

-- Create indices for frequently queried fields
CREATE INDEX IF NOT EXISTS idx_history_edittime ON History(EditTime);
CREATE INDEX IF NOT EXISTS idx_history_edituser ON History(EditUser);
CREATE INDEX IF NOT EXISTS idx_history_edittable ON History(EditTable);
CREATE INDEX IF NOT EXISTS idx_history_editrowid ON History(EditRowid);

-- Composite index for common query patterns
CREATE INDEX IF NOT EXISTS idx_history_table_rowid ON History(EditTable, EditRowid);

COMMIT;
