PRAGMA foreign_keys = ON;
BEGIN TRANSACTION;

CREATE TABLE IF NOT EXISTS SignInPWD (
    Id INTEGER PRIMARY KEY NOT NULL,
    Email TEXT NOT NULL,
    Hash TEXT NOT NULL
);

CREATE TABLE IF NOT EXISTS SignInSUCode (
    Id INTEGER PRIMARY KEY NOT NULL,
    Email TEXT NOT NULL,
    Hash TEXT NOT NULL,
    TimeCreate TEXT NOT NULL,
    Method TEXT
);

CREATE TABLE IF NOT EXISTS AccessLog (
    Id INTEGER PRIMARY KEY NOT NULL,
    Email TEXT NOT NULL,
    TimeVisit TEXT NOT NULL,
    Method TEXT NOT NULL,    -- passwd or single-use
    IP TEXT NOT NULL
);

CREATE TABLE IF NOT EXISTS SignIn (
    Id INTEGER PRIMARY KEY NOT NULL,
    PersonId INTEGER NOT NULL,
    Hash TEXT NOT NULL,
    Administrator TEXT,
    Lock TEXT,
    FOREIGN KEY (PersonId) REFERENCES Person(Id)
);

-- Create indices for frequently queried fields
CREATE INDEX IF NOT EXISTS idx_signinpwd_email ON SignInPWD(Email);
CREATE INDEX IF NOT EXISTS idx_signinsucode_email ON SignInSUCode(Email);
CREATE INDEX IF NOT EXISTS idx_accesslog_email ON AccessLog(Email);
CREATE INDEX IF NOT EXISTS idx_signin_personid ON SignIn(PersonId);

COMMIT;
