BEGIN TRANSACTION;

-- SignInPWD (using dummy hashes - in production use proper hashing)
INSERT INTO SignInPWD (Id, Email, Hash) VALUES
(1, 'hans.schmidt@physics.de', '$2a$12$LQv3c1yqBWVHxkd0LHAkCOYz6TtxMQJqhN8/Lexuq.QKTrPKJ'),
(2, 'marie.laurent@cern.ch', '$2a$12$9HFK8c1yqBWVHxkd0LHAkCOYz6TtxMQJqhN8/LexuK.QKTrWME'),
(3, 'jsmith@mit.edu', '$2a$12$5Kv3c1yqBWVHxkd0LHAkCOYz6TtxMQJqhN8/LexuB.QKTrTNF'),
(4, 'anna.mueller@physics.de', '$2a$12$2Qv3c1yqBWVHxkd0LHAkCOYz6TtxMQJqhN8/LexuM.QKTrRKL'),
(5, 'wilson@physics.ox.ac.uk', '$2a$12$7Rv3c1yqBWVHxkd0LHAkCOYz6TtxMQJqhN8/LexuS.QKTrYOP');

-- SignInSUCode (single-use codes)
INSERT INTO SignInSUCode (Id, Email, Hash, TimeCreate, Method) VALUES
(1, 'hans.schmidt@physics.de', '$2a$12$temp1', '2024-03-15 08:30:00', 'email'),
(2, 'marie.laurent@cern.ch', '$2a$12$temp2', '2024-03-15 09:15:00', 'email'),
(3, 'jsmith@mit.edu', '$2a$12$temp3', '2024-03-15 10:00:00', 'sms');

-- AccessLog
INSERT INTO AccessLog (Id, Email, TimeVisit, Method, IP) VALUES
(1, 'hans.schmidt@physics.de', '2024-03-15 08:31:00', 'passwd', '192.168.1.100'),
(2, 'marie.laurent@cern.ch', '2024-03-15 09:16:00', 'single-use', '192.168.1.101'),
(3, 'jsmith@mit.edu', '2024-03-15 10:01:00', 'passwd', '192.168.1.102'),
(4, 'hans.schmidt@physics.de', '2024-03-15 14:22:00', 'passwd', '192.168.1.100'),
(5, 'anna.mueller@physics.de', '2024-03-15 15:45:00', 'passwd', '192.168.1.103');

-- SignIn (linking to PersonId from main.db)
INSERT INTO SignIn (PersonId, Hash, Administrator, Lock) VALUES
(1, '$2a$12$adminHash1', 'yes', NULL),
(2, '$2a$12$userHash2', 'no', NULL),
(3, '$2a$12$userHash3', 'no', NULL),
(4, '$2a$12$adminHash4', 'yes', NULL),
(5, '$2a$12$userHash5', 'no', NULL);

COMMIT;
