import type { NewsArticleImage } from '@/payload-types'
import React from 'react'
import { getArticleImage } from '../utils/getArticleImage'

export default async function ImageParagraph({ headline, text, image, direction }: { headline?: string | null, text?: string | null, image?: NewsArticleImage | null | string, direction?: string | null }) {
  // if the block contains an image the corresponding image is rendered into a div on the reqested side
  let picture
  if (image && typeof image !== 'string') {
    if (direction === 'right') {
      picture = (
        <div className="w-full flex flex-row justify-end items-center">
          <div>
            {text}
          </div>
          <div>
            {await getArticleImage(image, 0, 0)}
          </div>
        </div>
      )
    }
    else if (direction === 'left') {
      picture = (
        <div className="w-full flex flex-row justify-start items-enter">
          <div>
            {await getArticleImage(image, 0, 0)}
          </div>
          <div>
            {text}
          </div>
        </div>
      )
    }
  }
  return (
    <div className="flex flex-col justify-center items-center">
      <div>
        <h1 className="text-xl font-bold">{headline}</h1>
      </div>
      {picture}
    </div>
  )
}
