import type { NewsArticleImage } from '@/payload-types'
import React from 'react'
import { getArticleImage } from '../utils/getArticleImage'

export default async function Picture({ headline, articelImage, side }: { headline?: string | null, articelImage?: NewsArticleImage | null | string, side?: string | null }) {
  let picture
  if (articelImage && typeof articelImage !== 'string') {
    if (side === 'right') {
      picture = (
        <div className="w-full flex flex-row justify-end items-center">
          <div>{ await getArticleImage(articelImage, 0, 0)}</div>
        </div>
      )
    }
    else if (side === 'center') {
      picture = (
        <div className="w-full flex flex-row justify-center items-center">
          <div>{await getArticleImage(articelImage, 0, 0)}</div>
        </div>
      )
    }
    else if (side === 'left') {
      picture = (
        <div className="w-full flex flex-row justify-start items-center">
          <div>{await getArticleImage(articelImage, 0, 0)}</div>
        </div>
      )
    }
  }

  return (
    <div className="w-full flex flex-col justify-center items-center">
      <h1 className="text-xl font-bold">{headline}</h1>
      {picture}
    </div>
  )
}
