import { createLexicalJSXConverters } from '@/lib/lexical-converters/lexicalConverters'
import { RichText } from '@payloadcms/richtext-lexical/react'
import React from 'react'

interface RichTextRendererProps {
  content: any
  className?: string
}

export function RichTextRenderer({ content }: RichTextRendererProps) {
  if (!content) {
    return null
  }

  return (
    <RichText data={content} converters={createLexicalJSXConverters} />
  )
}
