import { Calendar, ChevronLeft, ChevronRight } from 'lucide-react'
import React from 'react'

interface CalendarHeaderProps {
  formattedTimeRange: string
  onPrevious: () => void
  onNext: () => void
}

export function CalendarHeader({ formattedTimeRange, onPrevious, onNext }: CalendarHeaderProps) {
  return (
    <div className="flex flex-row items-center justify-between mb-6">
      <div className="flex flex-row items-center space-x-4">
        <Calendar className="mr-4 text-gray-800 dark:text-gray-300" />
        <h2 className="text-gray-800 dark:text-gray-300 text-lg">{formattedTimeRange}</h2>
      </div>
      <div className="flex flex-row space-x-2">
        <ChevronLeft className="cursor-pointer dark:text-gray-300" onClick={onPrevious} />
        <ChevronRight className="cursor-pointer dark:text-gray-300" onClick={onNext} />
      </div>
    </div>
  )
}
