import React from 'react'
import { CalendarCard } from '../CalendarCard'
import { CalendarHeader } from '../CalendarHeader'

interface EmptyStateProps {
  formattedTimeRange: string
  onPrevious: () => void
  onNext: () => void
}

export function EmptyState({ formattedTimeRange, onPrevious, onNext }: EmptyStateProps) {
  return (
    <CalendarCard>
      <CalendarHeader
        formattedTimeRange={formattedTimeRange}
        onPrevious={onPrevious}
        onNext={onNext}
      />
      <div className="flex flex-col space-y-4 text-xl font-semibold text-gray-500 min-h-28 justify-center ml-2">
        Keine Events diese Woche
      </div>
    </CalendarCard>
  )
}
