import { Button } from '@/components/ui/button'
import { CircleX } from 'lucide-react'
import React from 'react'
import { CalendarCard } from '../CalendarCard'
import { CalendarHeader } from '../CalendarHeader'

interface ErrorStateProps {
  formattedTimeRange: string
  onPrevious: () => void
  onNext: () => void
  error: string
  onRetry: () => void
}

export function ErrorState({ formattedTimeRange, onPrevious, onNext, error, onRetry }: ErrorStateProps) {
  return (
    <CalendarCard>
      <CalendarHeader
        formattedTimeRange={formattedTimeRange}
        onPrevious={onPrevious}
        onNext={onNext}
      />
      <div className="flex flex-col min-h-20 justify-center items-center">
        <div className="flex flex-col space-y-2 items-center dark:text-gray-200">
          <CircleX className="size-24 text-red-600" />
          {error}
        </div>
        <Button className="bg-gray-700 px-10 mt-8 dark:bg-gray-200 dark:text-gray-800 dark:hover:bg-gray-300" onClick={onRetry}>Retry</Button>
      </div>
    </CalendarCard>
  )
}
