import type { SubMenuEntry } from '../types'

export const detectorsMockup: SubMenuEntry[] = [
  {
    title: 'LOS',
    href: 'detectors/los',
    description: 'Large-area Object Scintillator for precise particle tracking and timing measurements',
  },
  {
    title: 'ROLU',
    href: 'detectors/rolu',
    description: 'Ring-shaped Online beam Loss detection Unit for beam monitoring and veto purposes',
  },
  {
    title: 'PSP',
    href: 'detectors/psp',
    description: 'Position Sensitive silicon Pin diode detector for beam profile monitoring',
  },
  {
    title: 'FOOT',
    href: 'detectors/foot',
    description: 'Forward Object Tracking system for charged particle trajectory reconstruction',
  },
  {
    title: 'ALPIDE',
    href: 'detectors/alpide',
    description: 'Advanced silicon pixel detector array for high-precision vertex tracking',
  },
  {
    title: 'GLAD',
    href: 'detectors/glad',
    description: 'Large Acceptance Dipole magnet system for charged particle momentum analysis',
  },
  {
    title: 'CALIFA',
    href: 'detectors/califa',
    description: 'CALorimeter for In-Flight detection of gamma rays and light charged particles',
  },
  {
    title: 'TOFD',
    href: 'detectors/tofd',
    description: 'Time-Of-Flight wall for neutron detection and energy measurements',
  },
  {
    title: 'FIBERS',
    href: 'detectors/fibers',
    description: 'Scintillating fiber detector array for high-resolution tracking and timing',
  },
]

export const collaborationsMockup: SubMenuEntry[] = [
  {
    title: 'Management Board',
    href: '/collaborations/management-board',
    description: 'Oversees strategic planning, resource allocation, and overall collaboration direction',
  },
  {
    title: 'Collaboration Board',
    href: '/collaborations/collaboration-board',
    description: 'Representatives from member institutions coordinating research activities and policies',
  },
  {
    title: 'Scientific Board',
    href: '/collaborations/scientific-board',
    description: 'Advisory body guiding research priorities and reviewing experimental proposals',
  },
  {
    title: 'Technical Board',
    href: '/collaborations/technical-board',
    description: 'Coordinates detector development, maintenance, and technical infrastructure',
  },
  {
    title: 'Working Groups',
    href: '/collaborations/working-groups',
    description: 'Specialized teams focusing on specific physics analyses and detector operations',
  },
]
