import type { Slide } from './types'

import config from '@/payload.config'
import { getPayload } from 'payload'

export async function getSlideshowData() {
  const payload = await getPayload({ config })

  const result = await payload.find({
    collection: 'slideshow-images',
    sort: '-createdAt',
    depth: 1,
  })

  const slides = result.docs as unknown as Slide[]

  return slides.map(slide => ({
    ...slide,
    imageUrl: slide.url || '/placeholder/slideshow-placeholder.webp',
  }))
}
