import React from 'react'

export default function Imprint() {
  return (
    <div className="min-h-screen">
      <main className="mx-auto w-full max-w-screen-xl px-4 py-8">
        {/* Header */}
        <div className="text-center">
          <h1 className="text-4xl font-bold mb-6">Impressum / Legal Notice</h1>
        </div>

        {/* Verantwortlich Section */}
        <section className="mt-8">
          <h2 className="text-xl font-semibold mb-4">
            Verantwortlich für diese Website / Responsible for this website
          </h2>
          <p className="text-base italic">
            Technische Universität Darmstadt
            <br />
            Dr. Heiko Scheit
            <br />
            Schlossgartenstraße 9
            <br />
            64289 Darmstadt
            <br />
            +49 6151 1623531
            <span className="block mb-4">
              E-Mail:
              <a
                href="mailto:hscheit@ikp.tu-darmstadt.de"
                className="text-blue-500 hover:underline ml-1"
              >
                hscheit@ikp.tu-darmstadt.de
              </a>
            </span>
          </p>
        </section>

        {/* Diese Website Section */}
        <section className="mt-8">
          <h2 className="text-xl font-semibold mb-4">
            Diese Website wird betrieben von / This website is provided by
          </h2>
          <p className="italic">
            Technische Universität Darmstadt
            <br />
            Institut für Kernphysik
            <br />
            Schlossgartenstraße 9
            <br />
            64289 Darmstadt
            <br />
            Deutschland / Germany

            <span className="block mb-4">
              Website:
              <a
                href="https://www.ikp.tu-darmstadt.de/das_institut_kernphysik/index.de.jsp"
                target="_blank"
                rel="noopener noreferrer"
                className="text-blue-500 hover:underline ml-1"
              >
                www.ikp.tu-darmstadt.de
              </a>
            </span>

            <span className="block mb-4 text-gray-500">
              vertreten durch den Präsidenten der Technischen Universität Darmstadt, Prof. Dr. Hans Jürgen Prömel.
              {' '}
              <br />
              Die Technische Universität Darmstadt ist eine rechtsfähige Körperschaft des öffentlichen Rechts gemäß § 1 Abs. 1 i.V.m. § 2 Abs. 1 Nr. 1 HHG (Hessisches Hochschulgesetz vom 14. Dezember 2009, GVBl. I S. 666). Seit dem In-Kraft-Treten des TU Darmstadt-Gesetzes (Gesetz zur organisatorischen Fortentwicklung der Technischen Universität Darmstadt vom 05. Dezember 2004, GVBl. I S. 382, in der Fassung vom 14. Dezember 2009, GVBl. I S. 699) ist sie autonome Universität des Landes Hessen.
            </span>
          </p>
        </section>
      </main>
    </div>
  )
}
