import { ThemeProvider } from '@/components/theme-provider'
import { Inter } from 'next/font/google'
import * as React from 'react'
import Footer from './components/Footer'
import NavBar from './components/nav-bar/NavBar'
import './globals.css'

const inter = Inter({
  subsets: ['latin'],
  display: 'swap',
})

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode
}>) {
  return (
    <html lang="en" className={inter.className} suppressHydrationWarning>
      <title>NUSTAR-R&#179;B</title>
      <link rel="icon" type="image/x-icon" href="../logo/r3b-logo_500px_square.png" />
      <body className="min-h-screen bg-background antialiased selection:bg-r3b-orange selection:text-white selection:rounded-full">
        <ThemeProvider
          attribute="class"
          defaultTheme="system"
          enableSystem
          disableTransitionOnChange
        >
          <NavBar />
          <div className="min-h-screen bg-gray-100 dark:bg-neutral-950">
            <main className="md:pt-16 max-w-7xl mx-auto lg:px-8">
              {children}
            </main>
          </div>
          <Footer />
        </ThemeProvider>
      </body>
    </html>
  )
}
