export interface Publication {
  id: string
  title: string
  doi: string
  authors: string
  journal: string
  volume: string
  published: string
  pages: string
  abstract: string
  link: string
  source?: string
  pdfFile?: {
    id: string
    filename: string
    url: string
  }
  relatedPublications?: Publication[]
  tags?: { tag: string }[]
  createdAt: string
  updatedAt: string
}

export interface PublicationListResult {
  docs: Publication[]
  totalDocs: number
  limit: number
  totalPages: number
  page: number
  pagingCounter: number
  hasPrevPage: boolean
  hasNextPage: boolean
  prevPage: number | null
  nextPage: number | null
}

export interface PublicationFetchOptions {
  page?: number
  limit?: number
  sort?: string
  where?: Record<string, any>
  depth?: number
}
