import type { Block } from 'payload'

export const Image: Block = {
  slug: 'image',
  labels: {
    singular: 'image',
    plural: 'images',
  },
  fields: [
    {
      name: 'headline',
      label: 'headline',
      type: 'text',
    },
    {
      name: 'articelImage',
      label: 'image',
      type: 'upload',
      relationTo: 'newsArticleImages',
    },
    {
      name: 'side',
      label: 'On which side should the image be displayed',
      type: 'select',
      options: [
        {
          label: 'left',
          value: 'left',
        },
        {
          label: 'center',
          value: 'center',
        },
        {
          label: 'right',
          value: 'right',
        },
      ],
      defaultValue: 'center',
    },
  ],
}
