import type { Block } from 'payload'

export const ImageParagraph: Block = {
  slug: 'imageParagraph',
  labels: {
    singular: 'paragraph with image',
    plural: 'paragraphs with image',
  },
  fields: [
    {
      name: 'headline',
      label: 'headline',
      type: 'text',
    },
    {
      name: 'text',
      label: 'text',
      type: 'text',
    },
    {
      name: 'image',
      label: 'image',
      type: 'upload',
      relationTo: 'newsArticleImages',
    },
    {
      name: 'direction',
      label: 'which side should the image be',
      type: 'select',
      options: [
        {
          label: 'left',
          value: 'left',
        },
        {
          label: 'right',
          value: 'right',
        },
      ],
      defaultValue: 'left',
    },
  ],
}
