import type { CollectionConfig } from 'payload'

export const Event: CollectionConfig = {
  slug: 'event',
  access: {
    read: () => true,
  },
  fields: [

    {
      name: 'title',
      type: 'text',
      required: true,
    },
    {
      name: 'start',
      type: 'date',
      admin: {
        date: {
          pickerAppearance: 'dayAndTime',
        },
      },
      required: true,
    },
    {
      name: 'end',
      type: 'date',
      admin: {
        date: {
          pickerAppearance: 'dayAndTime',
        },
      },
      required: true,
    },
    {
      name: 'location',
      type: 'text',
      required: false,
    },
    {
      name: 'description',
      type: 'text',
      required: true,
    },
  ],

}
