import type { CollectionConfig } from 'payload'

export const Experiments: CollectionConfig = {
  slug: 'experiments',
  fields: [
    {
      name: 'number',
      type: 'number',
      required: true,
      label: 'Nummer',
    },
    {
      name: 'title',
      type: 'text',
      required: true,
      label: 'Titel',
    },
    {
      name: 'year',
      type: 'number',
      required: true,
      label: 'Jahr',
    },
    {
      name: 'speaker',
      type: 'array',
      label: 'Speaker',
      fields: [
        {
          name: 'name',
          type: 'text',
          required: true,
          label: 'Name des Speakers',
        },
        {
          name: 'link',
          type: 'text',
          required: true,
          label: 'Link zum Speaker',
        },
      ],
    },
    {
      name: 'groupleader',
      type: 'group',
      label: 'Leiter',
      fields: [
        {
          name: 'name',
          type: 'text',
          required: true,
          label: 'Name des Leiters',
        },
        {
          name: 'email',
          type: 'text',
          required: true,
          label: 'E-Mail des Leiters',
        },
      ],
    },
    {
      name: 'previewText',
      type: 'textarea',
      required: true,
      label: 'Beschreibungstext',
    },
    {
      name: 'featuredImage',
      type: 'upload',
      relationTo: 'news-article-images',
      label: 'Featured Image',
      admin: {
        description: 'The main image for the experiment preview',
      },
    },
  ],
}
