'use client'
import { Clipboard, ClipboardCheck } from 'lucide-react'
import { useState } from 'react'
import { Button } from './button'

interface CopyButtonProps {
  name: string
  textToCopy: string
}

export default function CopyButton({ name, textToCopy }: CopyButtonProps) {
  const [isCopied, setIsCopied] = useState(false)

  const handleCopy = async () => {
    try {
      navigator.clipboard.writeText(textToCopy)
      setIsCopied(true)
      setTimeout(() => setIsCopied(false), 2000)
    }
    catch (e) {
      console.error(e)
    }
  }
  return (
    <>
      <Button variant="ghost" size="sm" className="text-xs h-8" onClick={handleCopy}>
        {isCopied ? <ClipboardCheck /> : <Clipboard /> }
        {name}
      </Button>
    </>
  )
}
