import type { CollectionSlug } from 'payload'
import config from '@payload-config'
import { getPayload } from 'payload'

/**
 * collectionSlug is the slug of the collection to be retrieved
 * @returns collection via the payload API
 */
export async function getPublications(collectionSlug: CollectionSlug) {
  const payload = await getPayload({ config })
  return await payload.find({
    collection: collectionSlug,
  })
}

export async function getArticles(collectionSlug: CollectionSlug) {
  const payload = await getPayload({ config })
  return await payload.find({
    collection: collectionSlug,
    sort: '-createdAt',
    depth: 3,
  })
}
